commit: 379b0b5c91e8074aa2776079f3d0111e8fbb0b45
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 12 08:18:53 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jun 12 09:40:00 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=379b0b5c
xfce-base/garcon: Bump to 0.6.1, fix EAPI=6, make gtk2 optional
xfce-base/garcon/Manifest | 2 +-
.../{garcon-0.6.0.ebuild => garcon-0.6.1.ebuild} | 19 +++++++++++++++++--
2 files changed, 18 insertions(+), 3 deletions(-)
diff --git a/xfce-base/garcon/Manifest b/xfce-base/garcon/Manifest
index 2a35aeaa5ad..c0c15d312d4 100644
--- a/xfce-base/garcon/Manifest
+++ b/xfce-base/garcon/Manifest
@@ -1,2 +1,2 @@
DIST garcon-0.5.0.tar.bz2 456940 SHA256
4cc933bb773e3194a0cce188c7a38da8a72e33871635113917eff81bfc98f9c9 SHA512
9e360e71ae12dbfb5e948fd86c2ec3d6993e6ec68379adb588492386a4fe492480c365bd33f811c5cc7c8bf80044eff8bd942690b4dd4e0a9d4fc0c58dd29cf5
WHIRLPOOL
9761fbf8a48e483b60bc84d3a1a6cc7b7af270e067a15d5f9b7c801f864467163c4ec02c88c9a81fa67e80d0adaa2439b95e30164dac8f785e769db25ccdbfd3
-DIST garcon-0.6.0.tar.bz2 511249 SHA256
e825036b874ad856378a61e2360b19b0a6e32cbda5df64060674a215e1427796 SHA512
4ab5787ca39bd75772312e46036438f8b253ae2f2e9ce4de1303db8e42aa0fde144cadf631b57c9164e47aae75e5ee1609e315e0c114a298a9ec536e29f76c1b
WHIRLPOOL
0db9aca455423c21b9049aac7a30cae3341f41b7359e8af6bd82bee517878af4176f8ed10849a3694536e84614e8e807f9d2a3ae3c2346d3ab7ecb5a632f5602
+DIST garcon-0.6.1.tar.bz2 511415 SHA256
41c31ba0498c2cc39de4a8e0c2367510adbf4bc2104c17feee358e51e6acf603 SHA512
36c5b1ba3c91e613853cd5e986176c8cbd2a509fafde1b302334deda872b7f7073fd06ba341220b030d8d5728346b7339368190b225203f33c023dd96f3ed1a3
WHIRLPOOL
15bc82dff2c202c8bed1f184bd3580f1666ee322acb6be7f0ac351fc96d01d5d82f41611c85b58c115b08f6ce1b0caf7bea191eda6578596336333ead355eacf
diff --git a/xfce-base/garcon/garcon-0.6.0.ebuild
b/xfce-base/garcon/garcon-0.6.1.ebuild
similarity index 77%
rename from xfce-base/garcon/garcon-0.6.0.ebuild
rename to xfce-base/garcon/garcon-0.6.1.ebuild
index 3492e094d91..65c9f8e5499 100644
--- a/xfce-base/garcon/garcon-0.6.0.ebuild
+++ b/xfce-base/garcon/garcon-0.6.1.ebuild
@@ -10,10 +10,10 @@ SRC_URI="mirror://xfce/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2"
LICENSE="LGPL-2 FDL-1.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
-IUSE=""
+IUSE="+gtk2"
RDEPEND=">=dev-libs/glib-2.30:=
- >=x11-libs/gtk+-2.24:2=
+ gtk2? ( >=x11-libs/gtk+-2.24:2= )
>=x11-libs/gtk+-3.14:3=
>=xfce-base/libxfce4ui-4.11.1:=[gtk3(+)]
>=xfce-base/libxfce4util-4.11:="
@@ -24,3 +24,18 @@ DEPEND="${RDEPEND}
virtual/pkgconfig"
DOCS=( AUTHORS ChangeLog HACKING NEWS README STATUS TODO )
+
+src_configure() {
+ local myconf=(
+ $(use_enable gtk2)
+ $(use_enable gtk2 libxfce4ui)
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+
+ find "${D}" -name '*.la' -delete || die
+}